@charset "UTF-8";

*{
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html, body {
	height: 100%;
}

body{
  font-family: 'IBM Plex Mono', monospace;
	background-color: #222625;
  color: #fffef9;
  margin: 0;
}

#contentBox{
  display: flex;
  flex-direction: row;
}

ul, ol{
	list-style: none;
	padding: 0;
  margin: 0 0 2rem 0;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

li{
  margin: 0 0 1rem 0;
  width: fit-content;
}

a, a:visited{
	text-decoration: none;
  color: #fffef9;
  text-decoration: underline;
}

a:hover, a:active, a:focus{
  text-decoration: underline;
  color: #B8BE93;
}

svg{
  margin: 0 0.8rem 0 0;
  border-radius: 0;
  height: 2rem;
}

/*MENU*/
.skip{
   position: absolute;
   top: -9999px;
   left: 0;
   background: #000;
   color: #fff;
   padding: 8px;
   z-index: 100;
}

.skip:focus{
   top: 0;
}

nav{
  max-height: 100vh;
  position: -webkit-sticky; /* for Safari */
  position: sticky;
  top: 0;
  padding: 2rem;
}

nav>a{
  margin: 0 0 1rem 0;
  display: inline-block;
  font-size: 1.4rem;
  text-decoration: none;
}

nav ul a, .externalLink{
  padding: 0.8rem 1.2rem 0.8rem 1.2rem;
  display: inline-block;
  border-radius: 4px;
  background-color: #444033;
  display: flex;
  flex-direction: row;
  align-items: center;
  text-decoration: none;
}

nav ul a:hover, nav ul a:active, nav ul a:focus{
  text-decoration: underline;
  background-color: #FFFEF9;
  color: #444033;
}

nav li a:hover svg path, nav li a:active svg path, nav li a:focus svg path{
  fill: #444033;
}

.active , .active:visited{
  background-color: #FF7F50;
  color: #000000;
}

.active:hover, .active:active, .active:focus{
  background-color: #000000;
  color: #FF7F50;
}

.active svg path{
  fill: #000000;
}

.active:hover svg path, .active:active svg path, .active:focus svg path{
  fill: #FF7F50;
}

/*SUBMENU*/

.subMenu{
  margin: 2rem 2rem 0 2rem;
  flex-direction: row;
  max-width: 48rem;
}

.subMenu li{
  margin: 0 1rem 1rem 0;
}

.subMenu li:last-child{
  margin: 0 1rem 0 0;
}

.subMenu a{
  background-color: #475973;
  color: #FFFEF9;
  padding: 0.8rem 1.2rem 0.8rem 1.2rem;
  border-radius: 4px;
  display: flex;
  flex-direction: row;
  align-items: center;
  text-decoration: none;
}

.subMenu a:hover, .subMenu a:active, .subMenu a:focus{
  color: #475973;
  background-color: #FFFEF9;
}

.subMenu .active{
  background-color: #9FC0EF;
  color: #000000;
}

.subMenu .active:hover, .subMenu .active:active, .subMenu .active:focus{
  background-color: #000000;
  color: #9FC0EF;
}

/*MAIN*/

main{
  width: 100%;
  display: flex;
  flex-direction: column;
}

p{
  margin: 3rem 0;
  max-width: 48rem;
}

.pCompact{
  margin: 0.2rem 0 1rem 0;
}

h1{
  font-size: 3rem;
  margin: 1rem 0 1.2rem 0;
  font-weight: 100;
  max-width: 48rem;
}

h2{
  font-weight: 100;
  font-size: 2rem;
  margin: 5rem 0 1rem 0;
  max-width: 48rem;
}

h3{
  font-weight: 100;
  font-size: 1.6rem;
  font-style: italic;
  margin: 5rem 0 1rem 0;
  max-width: 48rem;
}

h3:first-of-type{
  margin-top: 0;
}

h4{
  margin: 1rem 0 1rem 0;
  max-width: 48rem;
}

article{
  margin: 2rem 2rem 2rem 2rem;
  /*max-width: 48rem;*/
  max-width: 70rem;

}

article > ul{
  list-style: square;
  padding: 0;
  display: inline-block;
  width: 100%;
  max-width: 48rem;
}

.externaLinkList{
  list-style: none;
  display: flex;
  flex-direction: row;
  gap: 1rem;
}

article > ol{
   list-style: decimal-leading-zero;
   list-style-position: outside;
   max-width: 48rem;
   margin-left: 2rem;
 }

article li{
  padding:0;
  margin: 0 0 0 1.2rem;
  max-width: 100%;
}

.externalLinkListItem{
  margin-left: 0;
}

audio{
  width: 100%;
  margin: 2rem 0;
  border-radius: 4px;
}

img{
  width: 100%;
  border-radius: 4px;
}

.cover{
  max-width: 30%;
}

.coverArt{
  max-width: 5rem;
  margin-right: 1rem;
}

.imageGrid, .illuGrid{
  margin: 2rem 2rem 2rem 2rem;
}

.imageGrid:first-child{
  margin-top: 0;
}

.landscape, .landscapeDouble{
  display: flex;
  flex-direction: row;
  margin: 5rem 0;
}

.imageGrid img{
  object-fit: cover;
}

.imageGrid div:first-child{
  margin-top: 2rem;
}

.landscapeDouble img:first-child{
  margin: 0 1rem 0 0;
}

.portrait{
  display: flex;
  justify-content: center;
  margin: 5rem 0;
}

.portrait img{
  min-height: 95vh;
  max-width: 30rem;
  object-fit: cover;
  margin: 0;
}

.illuGrid{
  max-width: 56rem;
}

.illuGrid img{
  margin: 0 0 2rem 0;
}

video{
  width: 100%;
  border-radius: 4px;
}

/* Media Queries */
@media (max-width:70rem){
  .landscape {
    flex-direction: column;
  }
}

@media (max-width:64rem){
  h1{
    margin: 1rem 0;
  }
  h2{
    font-size: 2.5rem;
  }
  h3{
    margin-top: 3rem;
    font-size: 1.4rem;
  }
  #contentBox{
    flex-direction: column;
  }
  nav{
    padding: 1rem 1rem 0 1rem;
    background-color: #222625;
    border-bottom: 1px solid #444033;
  }
  .subMenu{
    margin: 1rem 1rem 0 1rem;
  }
  article{
    margin: 1rem;
  }
  nav ul{
    flex-direction: row;
    margin: 0;
  }
  nav ul li{
    margin: 0 1rem 1rem 0;
  }
  .landscapeDouble{
    flex-direction: column;
  }
  .landscapeDouble img:first-child {
  margin: 0 0 5rem 0;
  }
}

@media (max-width:48rem){
  h1{
    margin: 0.8rem 0;
    font-size: 3rem;
  }
  nav{
    position: inherit;
    padding: 0.8rem 0.8rem 0 0.8rem;
  }
  nav ul li{
    margin: 0 0.8rem 0.8rem 0;
  }
  nav ul a, .subMenu a{
  padding: 0.5rem 0.8rem 0.5rem 0.8rem;
  }
  svg {
    margin: 0 0.5rem 0 0;
    height: 1.4rem;
  }
  .subMenu{
    margin: 0.8rem 0.8rem 0 0.8rem;
  }
  .subMenu li{
    margin: 0 0.8rem 0.8rem 0;
  }
  article{
    margin: 0.8rem;
  }
  .topAlbums li{
    margin: 0 0.8rem 1.4rem 0.8rem
  }
  .cover{
    max-width: 70%;
  }
  .coverArt{
    max-width: 3rem;
  }
  .imageGrid, .illuGrid {
    margin: 0.8rem;
  }
  .imageGrid div{
    margin: 2rem 0;
  }
  .imageGrid div:first-child {
    margin-top: 0.8rem;
  }
  .landscapeDouble img:first-child {
    margin: 0 0 2rem 0;
  }
}
